> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mona.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Payment

> Create a Payment is where users can generate a new checkout session to accept payments from customers via cards, bank transfers, and Mona Pay.



## OpenAPI

````yaml POST /pay/create
openapi: 3.0.1
info:
  title: Mona API
  description: >-
    Create checkout sessions for the gateway, complete full payments via API or
    lookup customers.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.development.mona.ng
    description: Development environment
  - url: https://api.sandbox.mona.ng
    description: Sandbox environment
  - url: https://api.mona.ng
    description: Production environment
security:
  - apiKey: []
paths:
  /pay/create:
    post:
      description: >-
        Create a Payment is where users can generate a new checkout session to
        accept payments from customers via cards, bank transfers, and Mona Pay.
      requestBody:
        description: Checkout session parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Checkout'
        required: true
      responses:
        '200':
          description: Checkout created response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Checkout:
      allOf:
        - required:
            - amount
          type: object
          properties:
            amount:
              description: The amount to be paid in kobo (Nigerian minor currency unit)
              type: integer
              example: 2000
            phone:
              description: The customer's phone number (Optional)
              type: string
              example: '7083287899'
            bvn:
              description: The customer's BVN (Optional)
              type: string
              example: '2222222222222222'
            name:
              description: The customer's name (Optional)
              type: string
              example: John Doe
            dob:
              description: The customer's date of birth in DD-MM-YYYY format (Optional)
              type: string
              example: 01-01-1990
    CheckoutResponse:
      allOf:
        - required:
            - success
            - message
            - transactionId
            - friendlyID
            - url
            - savedPaymentOptions
          type: object
          properties:
            success:
              description: Indicates if the request was successful
              type: boolean
              example: true
            message:
              description: Success message
              type: string
              example: Gateway checkout created
            transactionId:
              description: Unique identifier for the transaction (pass to SDK)
              type: string
              example: 68363964c63df477cf65fd44
            friendlyID:
              description: Human-readable transaction ID
              type: string
              example: MNA-TRC-343827
            url:
              description: Payment URL to redirect the customer to
              type: string
              format: uri
              example: https://pay.mona.ng/68363964c63df477cf65fd44
            savedPaymentOptions:
              description: Customer's saved payment methods
              type: object
              properties:
                card:
                  type: array
                  items:
                    type: object
                bank:
                  type: array
                  items:
                    type: object
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````